Page MenuHomePhabricator

Account creation: GLAM event topic availability
Closed, ResolvedPublic

Description

As part of the GLAM event, newcomers will create accounts through a specialized landing page. Only accounts created through that page should have the special "Argentina", "Mexico", "Chile" topics available in their topic filter in suggested edits. This is so that other users who are not part of the event do not use up the limited number of suggestions in that special topic. All the events will be in a single campaign and all users in the campaign will see all the special topics.

The organizers will also need a console snippet so that they can turn on this topic in their existing accounts.

The daily limit for image suggestion task should not apply to these users.

Event Timeline

Moving to Ready for Development to start generating ideas, even as we still have yet to create the landing pages.

kostajh triaged this task as Medium priority.Feb 7 2022, 6:56 PM
kostajh raised the priority of this task from Medium to High.Feb 7 2022, 6:58 PM

Two options come to mind:

  • Split ConfigurationLoader by user (or user variant, to be more exact). Would be useful in general (e.g. it would have solved the mobile-only task use case as well) but complicated because the user is not available in ResourceLoader callbacks and because ConfigurationLoader is used in lots of places. If we are unlucky, some caches would also have to be split.
  • Add Argentina as a normal topic but hide it in the topic selection dialog based on the user variant. I think that's the only place where we expose the list of topics (aside from the kinda-internal management interface Special:NewcomerTasksInfo) so this would be hacky but quite simple.

Two options come to mind:

  • Split ConfigurationLoader by user (or user variant, to be more exact). Would be useful in general (e.g. it would have solved the mobile-only task use case as well) but complicated because the user is not available in ResourceLoader callbacks and because ConfigurationLoader is used in lots of places. If we are unlucky, some caches would also have to be split.
  • Add Argentina as a normal topic but hide it in the topic selection dialog based on the user variant. I think that's the only place where we expose the list of topics (aside from the kinda-internal management interface Special:NewcomerTasksInfo) so this would be hacky but quite simple.

I think we should go with the hack given time and resource constraints.

Do we want to use a user variant here? Something like image-recommendation-glam-argentina? I was thinking we would reuse the existing image-recommendation user variant and have a separate option for growthexperiments-campaigns. @nettrom_WMF would have to separate out users who have image-recommendation and a non-null growthexperiments-campaigns user property, though, to avoid skewing data analysis.

So, the options would be:

  1. use image-recommendation user variant and a new user preference called growthexperiments-campaigns that would be a list of values, with glam-argentina-2022 set for users in these events
  2. use image-recommendation-glam-argentina user variant that is default assigned to no users, but is what users in these events are assigned to

Two options come to mind:

  • Split ConfigurationLoader by user (or user variant, to be more exact). Would be useful in general (e.g. it would have solved the mobile-only task use case as well) but complicated because the user is not available in ResourceLoader callbacks and because ConfigurationLoader is used in lots of places. If we are unlucky, some caches would also have to be split.
  • Add Argentina as a normal topic but hide it in the topic selection dialog based on the user variant. I think that's the only place where we expose the list of topics (aside from the kinda-internal management interface Special:NewcomerTasksInfo) so this would be hacky but quite simple.

I think we should go with the hack given time and resource constraints.

Do we want to use a user variant here? Something like image-recommendation-glam-argentina? I was thinking we would reuse the existing image-recommendation user variant and have a separate option for growthexperiments-campaigns. @nettrom_WMF would have to separate out users who have image-recommendation and a non-null growthexperiments-campaigns user property, though, to avoid skewing data analysis.

So, the options would be:

  1. use image-recommendation user variant and a new user preference called growthexperiments-campaigns that would be a list of values, with glam-argentina-2022 set for users in these events
  2. use image-recommendation-glam-argentina user variant that is default assigned to no users, but is what users in these events are assigned to

Actually, as we have various code that checks if the user is in the imagerecommendation variant, I think we should continue to use that variant. And we don't need a new user preference, because we have growthexperiments-campaign.

Change 763374 had a related patch set uploaded (by MewOphaswongse; author: MewOphaswongse):

[mediawiki/extensions/GrowthExperiments@master] GLAM event: Show topic for users in the campaign

https://gerrit.wikimedia.org/r/763374

To opt the user into growth-glam-2022 campaign and to set the variant to imagerecommendation:

ge.utils.enableCampaign()

Change 765349 had a related patch set uploaded (by MewOphaswongse; author: MewOphaswongse):

[operations/mediawiki-config@master] GLAM event: add wgGECampaigns and wgGECampaignTopics configs for beta cluster

https://gerrit.wikimedia.org/r/765349

Change 763374 merged by jenkins-bot:

[mediawiki/extensions/GrowthExperiments@master] GLAM event: Show CampaignTopic for users in the campaign

https://gerrit.wikimedia.org/r/763374

Change 765646 had a related patch set uploaded (by MewOphaswongse; author: MewOphaswongse):

[mediawiki/extensions/GrowthExperiments@master] GLAM event: use GrowthExperimentsCampaignConfig for QualityGateDecorator and PageConfigurationLoader

https://gerrit.wikimedia.org/r/765646

Change 765646 merged by jenkins-bot:

[mediawiki/extensions/GrowthExperiments@master] GLAM event: use GrowthExperimentsCampaignConfig for QualityGateDecorator and PageConfigurationLoader

https://gerrit.wikimedia.org/r/765646

Change 765349 merged by jenkins-bot:

[operations/mediawiki-config@master] GLAM event: add wgGECampaigns and wgGECampaignTopics configs for beta eswiki

https://gerrit.wikimedia.org/r/765349

Community config (can be discarded when c765349 is merged): diff

Now discarded.

Change 766847 had a related patch set uploaded (by Kosta Harlan; author: Kosta Harlan):

[mediawiki/extensions/GrowthExperiments@master] GLAM event: enableCampaign should set image recommendation task type

https://gerrit.wikimedia.org/r/766847

Change 766847 merged by jenkins-bot:

[mediawiki/extensions/GrowthExperiments@master] GLAM event: enableCampaign should set image recommendation task type

https://gerrit.wikimedia.org/r/766847

Change 766869 had a related patch set uploaded (by MewOphaswongse; author: MewOphaswongse):

[operations/mediawiki-config@master] GLAM event: Update wgGECampaigns and wgGECampaignTopics

https://gerrit.wikimedia.org/r/766869

Checked on cs betalabs.

  • the topics were available for "GLAM Argentina", "GLAM Chile", and "GLAM Mexico"
  • all other functionality - combining topics/tasks, going to SE articles and publish/reject suggestions works as expected.

Change 766869 merged by jenkins-bot:

[operations/mediawiki-config@master] GLAM event: Update wgGECampaigns and wgGECampaignTopics

https://gerrit.wikimedia.org/r/766869

Mentioned in SAL (#wikimedia-operations) [2022-03-03T08:48:32Z] <taavi@deploy1002> Synchronized wmf-config/InitialiseSettings.php: Config: [[gerrit:766869|GLAM event: Update wgGECampaigns and wgGECampaignTopics (T301029)]] (duration: 00m 51s)

@GFontenelle_WMF @MMiller_WMF there are 144 image suggestion tasks for "GLAM Mexico". Do we need a "Mexico extended" topic, just like we had for GLAM Argentina extended? That would provide 4,170 candidates (mexico hasrecommendation:image in the search bar to see what these results look like).

Change 774519 had a related patch set uploaded (by Kosta Harlan; author: Kosta Harlan):

[operations/mediawiki-config@master] GrowthExperiments: Add more expanded topics for GLAM campaign

https://gerrit.wikimedia.org/r/774519

Change 774519 merged by jenkins-bot:

[operations/mediawiki-config@master] GrowthExperiments: Add more expanded topics for GLAM campaign

https://gerrit.wikimedia.org/r/774519

Mentioned in SAL (#wikimedia-operations) [2022-03-28T20:18:29Z] <urbanecm@deploy1002> Synchronized wmf-config/InitialiseSettings.php: e8a5b3b662db6780c0ed9a33e07e54e84295d1dd: GrowthExperiments: Add more expanded topics for GLAM campaign (T301029) (duration: 00m 50s)